# Infrared transmit

An action block that transmits an IR command.

The fiber will proceed when the command has been transmitted.

The command pattern must be an array where each element is a microsecond duration, alternating between on and off: [on, off, on, off, on, …]. The total duration of a command, the sum of all element, may not be longer that 2 seconds (2 000 000 μs).

Note! This feature requires Android 4.4+.

## Input arguments

- Carrier frequency — carrier frequency for the transmission in Hertz, default is 38 000 (38 kHz)
- Command pattern — an array with the command pattern, where each element is a microsecond duration.